User visible changes in the firmware version 3.7.10 since version 3.7.9.

                             Highlights.

1. Fixed rare problem of absense of GPS P-code measurements.

2. RTK: fixed a few potential bugs.

3. RTK: added support of IRNSS and QZSS satellites. RTK now supports
   up to 4 navigation systems simultaneously in any combination.

4. RTCM3.1: added support of Oblique Mercator 9815 map projection.

5. NMEA GFA message: fixed bug of SBAS integrity status.

6. Fixed "print,/par/out/[oport]&count" that was broken in version
   3.7.4.

7. Added "/par/lock/bei/phase3" parameter.

8. Imported new antenna database from NGS: <NGS-20/02/07=756>

9. NMEA: added support of 4.11 version (default now). Removed our own
   extension "4.1e" which had bug of BeiDou ID.

10. QZSS CNAV/CNAV2 ephemeris: fixed bug of decoding of OmegaDot
    field.

11. BeiDou D1/D2 ephemeris: added decoding of AODC/AODE fields and
    output of them in [CN] messages.

12. BeiDou CNAV/CNAV2 ephemeris: fixed bug of using of Adot and
    DelNDot.

13. BeiDou CNAV3 (B2B) ephemeris: implemented in accordance with
    B2B SiS ICD, July, 2020.

14. QZSS L5s data: removed erroneous data usage causing an exception.

15. IRNSS ephemeris: added output of Alert and Autonav flags in [IE]
    message.

16. [rV] message: fixed PDOP, velRms, and posRms fields that broke
    neighbors on overflow.

17. "/par/modem/x/fh/link/usa/chan/redund": changed default value from
    "double" to "single".

18. SLAS decoder: fixed exception which has been caused by wrong SBAS
    data.

19. RTCM3.1 transformation of coordinates: fixed bug of output wrong
    data in some jps-messages.

20. RTK: fixed exception when using RTCM3 MSM corrections.

21. TR-G2,TRH-G2: enabled RTCM3 MSM support, enabled Galileo support in RTK.

22. TRH-G2: fix exception information output that was absent.

23. "/par/[sport]/rate&def": fixed values above 115200 having no
    effect on actual default baud rate of serial port [sport] after
    resetting parameters to defaults (either using "init,/par/" or
    "init,/dev/nmv/a")

24. RTK: for receivers that support BeiDou B3 signal, this signal is
    now the signal to be used as default instead of B2.

25. RTK: improved stability of computation.

26. File push: implement keep-alive for control socket, to prevent cut
    of connection by NATs or firewalls during lengthy data transfers.

27. RTCM3: fixed bugs of coding and decoding of GLONASS M, P, Cn, P4
    flags in 1020 message type. Fixed bug of Cn flag in [NE]
    jps-message.

28. BeiDou B2b ephemeris: fixed bug of Health field.

29. Cassini-Soldner projection: fixed bug.

30. DUO receivers: fixed problem of heading in simultaneous RTK
    computation of both position and heading after disconnect and
    reconnect of main antenna.

31. DUO receivers: fixed computation of heading when main antenna
    is changed by the "/par/ant/main" parameter

32. AFRM: fix wrong effective value of "/par/log/rot/rm/keep" after
    clear NVRAM. The operational value was 0 even though correct 24
    was reported to the user.



                      More Detailed Description
                (refer to GREIS for even more details)


                             1. Messages.

<NO CHANGES>

                             2. Parameters.

2.1 New BeiDou satellite type selection parameter.

Setting of BeiDou phase3 satellite type by PRN
Name:    /par/lock/bei/phase3
Access:  rw
Type:    array [1...firmware dependent] of boolean
Values:  {y|n,...,y|n}
Default: 'n' for PRN <=18, 'y' for other
Sets BeiDou phase3 satellite type by their PRN.

Setting of BeiDou phase3 satellite type for PRN N
Name:    /par/lock/bei/phase3/N (N=1...firmware dependent])
Access:  rw
Type:    boolean
Values:  y,n
Default: 'n' for N <=18, 'y' for other
y – setting BeiDou phase3 satellite type for satellite number N
n – setting BeiDou phase2 satellite type for satellite number N

Description:    Sets satellite generation. BeiDou phase3 satellites
have different (compared phase2) set of signals. While phase2
satellites have B2 signal, phase3 satellites have B2B signal instead.
In addition, phase3 satellites have several other signals, absent in
phase2. This setting required to instruct receiver which signals to
track from satelllite.


2.2 New UHF modem parameter

Name:           /par/modem/X/uhf/link/txdelay (X=[a...d])
Access:         rw
Type:	        integer
Values:         [0...650]
Default:        20
Description:    TX delay (in msec) parameter define the byte counts
                in order to collect data after receiving the first
                byte on modem port to start transmitting.

Name:           /par/modem/X/uhf/inf/link/tx/cnt/ubyte (X=[a...d])
Access:         r
Type:	        integer
Values:         [0...4294967295]
Description:    The byte count in UART buffer of radio.

Name:           /par/modem/X/uhf/inf/link/tx/ant/vswr (X=[a...d])
Access:         r
Type:	        string [0...32]
Default:        "unknown"
Description:    The voltage standing wave ratio.

Name:           /par/modem/X/uhf/inf/link/tx/ant/rflpwr (X=[a...d])
Access:         r
Type:	        string [0...32]
Default:        "unknown"
Description:    The reflected power indicator.

Name:           /par/modem/X/uhf/ctrl/ant (X=[a...d])
Access:         rw
Type:	        enumerated
Values:         auto,manual,ignore
Default:        ignore
Description:    The provides control for antenna detection procedure
                (applied for LMR400 (ID:741, ID:931)).

Name:           /par/modem/X/uhf/ctrl/vswr (X=[a...d])
Access:         rw
Type:	        integer
Values:         [3...6]
Default:        3
Description:    The voltage standing wave ratio
                (applied for LMR400 (ID:741, ID:931)).

Name:           /par/modem/X/uhf/ctrl/utime (X=[a...d])
Access:         rw
Type:	        integer
Values:         [0...50]
Default:        0
Description:    The voltage standing wave ratio update time (in seconds)
                (applied for LMR400 (ID:741, ID:931)).

Name:           /par/modem/X/uhf/ctrl/agc (X=[a...d])
Access:         rw
Type:	        enumerated
Values:         on,off
Default:        on
Description:    The provides control for automatic gain control algorithm
                (applied for LMR400 (ID:741, ID:931)).

Name:           /par/modem/X/uhf/ctrl/acl (X=[a...d])
Access:         rw
Type:	        integer
Values:         [-60...0]
Default:        -50
Description:    The indicates attenuation control level (in dBm)
                (applied for UHFSSRX (ID:111)).

Name:           /par/modem/X/uhf/ctrl/sw (X=[a...d])
Access:         rw
Type:	        integer
Values:         [-40...0]
Default:        0
Description:    The provides FH/UHF switch control for attenuation (in dBm)
                (applied for UHFSSRX (ID:111)).

2.3 New Modem parameters

Name:           /par/modem/X/bport/txbyte (X=[a...d])
Access:         r
Type:	        integer
Values:         [0...4294967295]
Default:        0
Description: The number of bytes in TX buffer of modem port.

Name:           /par/modem/X/bport/rxbyte (X=[a...d])
Access:         r
Type:	        integer
Values:         [0...4294967295]
Default:        0
Description: The number of bytes in RX buffer of modem port.

                             3. Options.

<NO CHANGES>

                             4. Commands.

<NO CHANGES>

<END>
